Subject: Re: linux-next: Tree for July 16 (crash on quad core AMD)

From: Pierre Ossman <[email-masked]>
Date: Mon, 21 Jul 2008 00:40:33 +0200

On Sat, 19 Jul 2008 23:03:35 +0900
Tejun Heo <[email-masked]> wrote:

> Pierre Ossman wrote:
> > On Sat, 19 Jul 2008 11:12:17 +0900
> > Tejun Heo <[email-masked]> wrote:
> > 
> >> Oh... I see.  How about adding sg_miter_consume(@miter, @bytes)?  If the
> >> function is never called, the whole chunk is assumed to be consumed.  If
> >> the function is called only @bytes are consumed.
> >>
> > 
> > Sounds reasonable. Care to make an independent patch so that I can
> > continue my PIO hacking adventures? :)
> 
> Sure thing.  Here you go.  :-)
> 
> Subject: [PATCH 2.6.26] sg: reimplement sg mapping iterator
> 

I've converted my code to use your implementation instead, and it seems
to be working perfectly.

How comfortable to you feel about your patch? :)
This fixes a big problem in the sdhci driver where falling back on PIO
(because of hw DMA bugs) would create lots of potential issues as the
driver couldn't access highmem pages. I'd like to get this fix in for
2.6.27, which means that your patch also needs to go in now.

Rgds
-- 
     -- Pierre Ossman

  WARNING: This correspondence is being monitored by the
  Swedish government. Make sure your server uses encryption
  for SMTP traffic and consider using PGP for end-to-end
  encryption.